diff --git a/tutorials/mesh/foamyHexMesh/mixerVessel/Allrun b/tutorials/mesh/foamyHexMesh/mixerVessel/Allrun
index 3953f6c668caeb66b296d8e2e32dff470b6ae07f..99d75a9906847222fb3701cef5a25a476470e508 100755
--- a/tutorials/mesh/foamyHexMesh/mixerVessel/Allrun
+++ b/tutorials/mesh/foamyHexMesh/mixerVessel/Allrun
@@ -4,36 +4,10 @@ cd ${0%/*} || exit 1    # run from this directory
 # Source tutorial run functions
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
-\cp system/controlDict.flow system/controlDict
-
-# Set application name
-application=$(getApplication)
-
-# Get number of processors to run on
-nProcs=$(getNumberOfProcessors)
-
-\rm -rf 0
-
-runApplication createBaffles -overwrite
-runApplication mergeOrSplitBaffles -split -overwrite
-
-# Get rid of zero faced patches
-runApplication createPatch -overwrite
-
-# Copy fields after meshing to avoind the generation of unnecessary patch fields
-\cp -r 0.org 0
-
-# Initialize alpha
-runApplication setFields
-
-# Decompose
-runApplication decomposePar -force
-
-# Run
-runParallel $application 8
-
-# Reconstruct
-runApplication reconstructPar -noFunctionObjects
+# Generate mesh
+./Allrun-pre
 
+## Run simulation
+#./Allrun-simulation
 
 # ----------------------------------------------------------------- end-of-file
diff --git a/tutorials/mesh/foamyHexMesh/mixerVessel/Allrun-simulation b/tutorials/mesh/foamyHexMesh/mixerVessel/Allrun-simulation
new file mode 100755
index 0000000000000000000000000000000000000000..e789caef9fdf7c456a2ce7e532f670f14d3b11ac
--- /dev/null
+++ b/tutorials/mesh/foamyHexMesh/mixerVessel/Allrun-simulation
@@ -0,0 +1,40 @@
+#!/bin/sh
+cd ${0%/*} || exit 1    # run from this directory
+
+# Source tutorial run functions
+. $WM_PROJECT_DIR/bin/tools/RunFunctions
+
+\cp system/controlDict.flow system/controlDict
+
+# Set application name
+application=$(getApplication)
+
+# Get number of processors to run on
+nProcs=$(getNumberOfProcessors)
+
+\rm -rf 0
+
+runApplication createBaffles -overwrite
+runApplication mergeOrSplitBaffles -split -overwrite
+
+# Get rid of zero faced patches
+runApplication createPatch -overwrite
+
+# Copy fields after meshing to avoind the generation of unnecessary patch fields
+\cp -r 0.org 0
+
+# Initialize alpha
+runApplication setFields
+
+# Decompose
+\rm log.decomposePar
+runApplication decomposePar -force
+
+# Run
+runParallel $application 8
+
+# Reconstruct
+runApplication reconstructPar -noFunctionObjects
+
+
+# ----------------------------------------------------------------- end-of-file
diff --git a/tutorials/mesh/foamyHexMesh/mixerVessel/system/fvSchemes b/tutorials/mesh/foamyHexMesh/mixerVessel/system/fvSchemes
index 70e7cf49ab6ec67ae4c65dc39708f95f9a61a430..0c018719459f0d5377fc31c6c6d9d1682831c5a0 100644
--- a/tutorials/mesh/foamyHexMesh/mixerVessel/system/fvSchemes
+++ b/tutorials/mesh/foamyHexMesh/mixerVessel/system/fvSchemes
@@ -28,17 +28,11 @@ gradSchemes
 
 divSchemes
 {
-    div(rho*phi,U)  Gauss linearUpwind grad(U);
+    div(rhoPhi,U)   Gauss linearUpwind grad(U);
     div(phi,alpha)  Gauss vanLeer;
     div(phirb,alpha) Gauss interfaceCompression 1;
-    div(phid1,p_rgh) Gauss upwind;
-    div(phid2,p_rgh) Gauss upwind;
-    div(rho*phi,T)  Gauss linearUpwind unlimited;
-    div(rho*phi,K)  Gauss upwind;
     div(phi,k)  Gauss upwind;
     div(phi,epsilon) Gauss upwind;
-    div((muEff*dev2(T(grad(U))))) Gauss linear;
-
     div((muEff*dev(T(grad(U))))) Gauss linear;
 }
 
diff --git a/tutorials/mesh/foamyHexMesh/mixerVessel/system/fvSolution b/tutorials/mesh/foamyHexMesh/mixerVessel/system/fvSolution
index 946d84ed62c397cfed6200bf9829658cc634d622..6798f4b2e09f0c1d317590b3552bdb1a8e3b7468 100644
--- a/tutorials/mesh/foamyHexMesh/mixerVessel/system/fvSolution
+++ b/tutorials/mesh/foamyHexMesh/mixerVessel/system/fvSolution
@@ -51,6 +51,13 @@ solvers
         relTol          0;
     }
 
+    pcorrFinal
+    {
+        $pcorr;
+        tolerance       0.1;
+        relTol          0;
+    }
+
     ".*(rho|rhoFinal)"
     {
         solver          diagonal;